using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability3197.Domain;

public class TaobaoTbkRtaConsumerMatchOfferList
{

    /*
        活动id
    */
    private string? offerId;


    /*
        淘礼金领取URL，不支持使用短链接
    */
    private string? tljUrl;


    /*
        商品id
    */
    private string? itemId;



    [JsonPropertyName("offer_id")]
    public string? OfferId
    {
        get => offerId;
        set => this.offerId = value;
    }

    [JsonPropertyName("tlj_url")]
    public string? TljUrl
    {
        get => tljUrl;
        set => this.tljUrl = value;
    }

    [JsonPropertyName("item_id")]
    public string? ItemId
    {
        get => itemId;
        set => this.itemId = value;
    }

}

